summaryrefslogtreecommitdiffstats
path: root/filehooker/root-image/krebs/bin/tor_announce.ship
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-03-17 07:51:03 +0100
committermakefu <github@syntax-fehler.de>2014-03-17 07:51:03 +0100
commit1fa15dd59e7dc58f4331305b9f401d3aabfa53cd (patch)
tree6e4ee2f1096652276b86f4b9334fa06aafdb38bf /filehooker/root-image/krebs/bin/tor_announce.ship
parent536bfe6d1e3cce27b6a84d4c19f7feafac690b53 (diff)
filehooker: initial commit
using archiso magic scripts
Diffstat (limited to 'filehooker/root-image/krebs/bin/tor_announce.ship')
-rwxr-xr-xfilehooker/root-image/krebs/bin/tor_announce.ship17
1 files changed, 17 insertions, 0 deletions
diff --git a/filehooker/root-image/krebs/bin/tor_announce.ship b/filehooker/root-image/krebs/bin/tor_announce.ship
new file mode 100755
index 00000000..bf9d58dc
--- /dev/null
+++ b/filehooker/root-image/krebs/bin/tor_announce.ship
@@ -0,0 +1,17 @@
+#!/bin/sh
+#@include core
+. /krebs/lib/core
+#@include network
+. /krebs/lib/network
+#@include tor
+. /krebs/lib/tor
+
+test -w "$torrc" || ( error "$torrc is not writable!"; exit 1 ) || exit 1
+
+configure_hidden_service
+test ! -e $hidden_service_dir/hostname && \
+ info "hidden service file does not exist, restarting tor" && \
+ systemctl restart tor && \
+ sleep 1
+
+cat $hidden_service_dir/hostname | send_irc